%global srcname jose


Name:      erlang-%{srcname}
Version:   1.11.1
Release:   %mkrel 2
BuildArch: noarch
Group:   Development/Erlang
License: MIT
Summary: JSON Object Signing and Encryption (JOSE) for Erlang and Elixir
URL:     https://github.com/potatosalad/erlang-jose
Source0: %{url}/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildRequires: erlang-base64url
BuildRequires: erlang-proper
BuildRequires: erlang-rebar
BuildRequires: erlang-triq


%description
%{summary}.


%prep
%autosetup -p1 -n %{name}-%{version}


%build
%{rebar_compile}


%check
%{rebar_eunit}


%install
%{erlang_install}


%files
%license LICENSE.md
%doc ALGORITHMS.md
%doc CHANGELOG.md
%doc examples
%doc README.md
%{erlang_appdir}



%changelog
* Fri Apr 01 2022 umeabot <umeabot> 1.11.1-2.mga9
+ Revision: 1838168
- Mageia 9 Mass Rebuild

* Wed Feb 09 2022 neoclust <neoclust> 1.11.1-1.mga9
+ Revision: 1772667
- New version 1.11.1

* Sat Dec 19 2020 neoclust <neoclust> 1.10.1-1.mga8
+ Revision: 1661402
- New version 1.10.1

* Wed Feb 12 2020 umeabot <umeabot> 1.8.4-3.mga8
+ Revision: 1511383
- Mageia 8 Mass Rebuild

* Sat Sep 22 2018 wally <wally> 1.8.4-2.mga7
+ Revision: 1296522
- update BRs

* Sat Sep 22 2018 wally <wally> 1.8.4-1.mga7
+ Revision: 1295992
- imported package erlang-jose


* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sun Mar 25 2018 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.8.4-3
- Convert to a noarch package.
- Work around FTBFS (#1560309).

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sun Jan 14 2018 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.8.4-1
- Initial release (#1534268).
